> For the complete documentation index, see [llms.txt](https://docs.pascom.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pascom.net/en/reference/featurecodes.md).

# Function / Service Codes

Overview of PASCOM IP PBX Function Codes / Service Codes.

## Login / out of a Location

| Code                      | Description                                                                                                     | Example                                                            | Misc                                                           |
| ------------------------- | --------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------ | -------------------------------------------------------------- |
| **\*44**                  | The current logged on user will be logged off.                                                                  |                                                                    | This service code can be assigned to an IP Telephone *BLF Key* |
| **\*44{Extension}**       | Log on with this particular extension. You will be requested to enter the corresponding PIN on the telephone.   | <p>Logon extension 123 :<br><em>\*44123</em></p>                   | This service code can be assigned to an IP Telephone *BLF Key* |
| **\*44{extension}#{PIN}** | Log on with this particular extension. The log on code also contains the required pin, simplifying the process. | <p>Logon extension 123 with PIN 0000:<br><em>\*44123#0000</em></p> | This service code can be assigned to an IP Telephone *BLF Key* |

## Call Pickup from Different Extensions

| Code               | Description                                  | Example                                              | Misc                                                                                                                                                               |
| ------------------ | -------------------------------------------- | ---------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| **\*8{Extension}** | Pickup up a call from a different extension. | <p>Pickup call from ext. 123:<br><em>\*8123</em></p> | If an extension is monitored with via a BLF Key, it is not necessary to configure an additional service code, as the BLF code already offers Pickup functionality. |

## Call Forwarding

| Code                              | Description                                                                                                                                            | Example                                                                                    | Misc                                                           |
| --------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------ | -------------------------------------------------------------- |
| **\*70{Extension}**               | Activates a permanent call forwarding for this extension. The voice menu will prompt you for the desired destination number on which to forward calls. | <p>Activate call forwarding from extension 123:<br><em>\*70123</em></p>                    | This service code can be assigned to an IP Telephone *BLF Key* |
| **\*71{Extension}**               | Deactivates an extension's call forwarding                                                                                                             | <p>To deactivate call forwarding on extension 123::<br><em>\*71123</em></p>                | This service code can be assigned to an IP Telephone *BLF Key* |
| **\*74{Extension}#{Destination}** | Sets up an extension's call forwarding including the desired destination number.                                                                       | <p>E.g. to forward calls from extension 123 to extension 333 :<br><em>\*74123#333</em></p> |                                                                |

## Voicemail Box

| Code      | Description                                                                                                  | Example | Misc |
| --------- | ------------------------------------------------------------------------------------------------------------ | ------- | ---- |
| **\*100** | Voicemail box setup: Calls the voicemail box settings menu, allowing you to manage numerous mailbox settings |         |      |
| **\*101** | Listen to messages in another mailbox                                                                        |         |      |
| **\*102** | Set call forwarding to your own voicemail box                                                                |         |      |
| **\*103** | Forwarding on to the called party's voicemail box                                                            |         |      |
| **\*104** | Listen to a monitored voicemail box                                                                          |         |      |

## Prompt System

| Code     | Description                                                                                                                                                                                  |
| -------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **\*50** | Service (\*) code for accessing the prompt management system. Allows you to create new prompts of listen to existing prompts directly from your phone. Simply follow the voice menu options. |

## Echo Test

| Code     | Description                            |
| -------- | -------------------------------------- |
| **\*80** | Test the voice quality on a telephone. |

## Team Actions

| Code                                   | Description                                                | Example                                                                                                             | Misc                                                     |
| -------------------------------------- | ---------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------- |
| **\*99#{extension}**                   | Log agents in or out of a team of which they are a member. | <p>Log in / out the agent with ext. 123:<br><em>\*99#123</em></p>                                                   | Can also be added as a *BLF* key on an desktop IP phone. |
| **\*99#{extension}#{pausecode}**       | Pause / unpause an agent using pause codes                 | <p>To pause / unpause an agent with ext. 123 and pause code 10:<br><em>\*99#123#10</em></p>                         | Can also be added as a *BLF*key on an desktop IP phone.  |
| **\*99{team}#{extension}**             | Log an agent in or out of a particular team.               | <p>E.g. Log agent with ext 123 in or out of team 1100:<br><em>\*991100#123</em></p>                                 | Can also be added as a *BLF*key on an desktop IP phone.  |
| **\*99{team}#{extension}#{pausecode}** | Pause / unpause an agent in a certain team.                | <p>To pause / unpause an agent with ext. 123 from the team 1100 using pause code 10:<br><em>\*99110#123#10</em></p> | Can also be added as a *BLF* key on an IP desktop phone. |

{% hint style="info" %}
Function Codes can be found in the Web UI under **Appliance** > **System Settings** > `asterisk.dialplan.global`. If needed the codes can also be modified here.

Should you use Function Codes, please check the **asterisk.dialplan.alias.global** parameter, as it should have the user extension number length set as the value. Per default is the value set to 3.\
We recommend against configuring user extensions with varying lengths as for example in the above scenarios, certain function codes will no longer function correctly.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.pascom.net/en/reference/featurecodes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `build a script that syncs our docs to a CMS` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
